# AUTOGENERATED! DO NOT EDIT! File to edit: notebooks/aggregates_read.ipynb (unless otherwise specified).

__all__ = ['config', 'tc', 'get_aggregate']

# Cell
import unittest

import yaml

from .config import Configuration
from .logger import logger

config = Configuration()
tc = unittest.TestCase()

# Cell

with open(config.get("AGREGATS")) as file:
    try:
        agregats = yaml.safe_load(file)
    except yaml.YAMLError as exc:
        msg = f"Error reading yaml file: {exc}"
        logger.error(msg)
        raise exc

# Cell


def get_aggregate(year, variable_name, source, variable_type):
    try:
        return agregats[year][variable_name][source][variable_type]
    except Exception:
        # logger.debug(f"Error reading {year}.{variable_name}.{variable_type}: {e}") #  as e
        return None